HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetTreasuryOutboundTransfersOutboundTransfer

Contains the different functions to run the operation getTreasuryOutboundTransfersOutboundTransfer

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetTreasuryOutboundTransfersOutboundTransfer.hs
valuegetTreasuryOutboundTransfersOutboundTransfer
  1. :: MonadHTTP m
  2. => GetTreasuryOutboundTransfersOutboundTransferParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetTreasuryOutboundTransfersOutboundTransferResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/treasury/outbound_transfers/{outbound_transfer}

<p>Retrieves the details of an existing OutboundTransfer by passing the unique OutboundTransfer ID from either the OutboundTransfer creation request or OutboundTransfer list.</p>

Defines the object schema located at paths./v1/treasury/outbound_transfers/{outbound_transfer}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getTreasuryOutboundTransfersOutboundTransfer.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetTreasuryOutboundTransfersOutboundTransferResponseError is used.

Instances2Eq, Show